/**
 * $Id: Penguin.java,v 1.1 2009/01/23 12:39:15 oboehm Exp $
 *
 * Copyright (c) 2008 by Oliver Boehm
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express orimplied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 * (c)reated 22.01.2009 by oliver (ob@oasd.de)
 */
package patterntesting.sample.animal;

import patterntesting.check.annotation.SuppressSystemOutWarning;

/**
 * @author <a href="boehm@javatux.de">oliver</a>
 * @since 22.01.2009
 * @version $Revision: 1.1 $
 */
public class Penguin extends Bird {

    /**
     * @param name
     */
    public Penguin(String name) {
        super(name);
    }

    /* (non-Javadoc)
     * @see patterntesting.sample.animal.Bird#sayHello()
     */
    @Override
    @SuppressSystemOutWarning
    public void sayHello() {
        System.out.println("Hi, I am " + this);
    }

}

/**
 * $Log: Penguin.java,v $
 * Revision 1.1  2009/01/23 12:39:15  oboehm
 * example for bad use of abstract methods added
 *
 * $Source: /cvsroot/patterntesting/PatternTesting08/patterntesting-samples/src/main/java/patterntesting/sample/animal/Penguin.java,v $
 */
